Bug 1413866 - compiler-rt package doesn't have proper naming
Summary: compiler-rt package doesn't have proper naming
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: compiler-rt
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 07:57 UTC by Nikos Mavrogiannopoulos
Modified: 2017-04-07 00:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-07 00:44:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2017-01-17 07:57:32 UTC
Description of problem:
This package although being an addon for clang, its naming does not reflect that. In practice that results in users not finding that package from our repos.

Please follow the naming guidelines and name this package to something more appropriate that reflects its role as an addon package of clang:
https://fedoraproject.org/wiki/Packaging:Naming?rd=Packaging:NamingGuidelines#Addon_Packages


Secondary you should consider clang to "Recommend" the compiler-rt package as a lot of functionality available there is used during daily development work (asan,ubsan etc).

Comment 1 Fedora End Of Life 2017-02-28 11:00:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Tom Stellard 2017-04-07 00:44:39 UTC
compiler-rt has been added as a hard dependency of clang.


Note You need to log in before you can comment on or make changes to this bug.